org.eclipse.gef.cloudio.internal.ui.view

## Interface IEditableCloudLabelProvider

All Superinterfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, ICloudLabelProvider

All Known Implementing Classes:
  TypeLabelProvider

    public interface IEditableCloudLabelProvider
    extends ICloudLabelProvider

An `IEditableCloudLabelProvider` is supported by the `CloudOptionsComposite`, such that it can be used to modify colors, fonts, and angles.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setAngles(java.util.List<java.lang.Float> list)`
`void` `setColors(java.util.List<org.eclipse.swt.graphics.RGB> colors)`
`void` `setFonts(java.util.List<org.eclipse.swt.graphics.FontData> fonts)`

### Methods inherited from interface org.eclipse.gef.cloudio.internal.ui.ICloudLabelProvider

`getAngle, getColor, getFontData, getLabel, getToolTip, getWeight`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Method Detail

#### setColors

    void setColors(java.util.List<org.eclipse.swt.graphics.RGB> colors)

#### setFonts

    void setFonts(java.util.List<org.eclipse.swt.graphics.FontData> fonts)

#### setAngles

    void setAngles(java.util.List<java.lang.Float> list)